#include "inc/uniforms.glsl"
#include "inc/utils.glsl"
#include "inc/buffers.glsl"

// vertex shaderi vaan päästelee attribuutit smoothina lävitse kertomatta millään
#include "inc/2d_passthrough.vs"


#ifdef FRAGMENT
#include "inc/geometry_io.fs"

void main()
{
	vec3 c = vec3(sin(ex_UV.x*2.0 + p_beat), sin(ex_UV.x*4.0 + p_beat) * sin(ex_UV.y*5.0), sin(ex_UV.y*10.0));
	vec4 col = vec4(c, 1.0);
	
	out_Color = col;
} 
#endif